Bug 80481 - rebuild of freetype srpm with bytecode interpreter on fails.
rebuild of freetype srpm with bytecode interpreter on fails.
Product: Red Hat Public Beta
Classification: Retired
Component: freetype (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-12-26 20:48 EST by Nick Uniatowski
Modified: 2007-04-18 12:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-27 17:05:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nick Uniatowski 2002-12-26 20:48:27 EST
Description of problem:
Rebuild of i386 binaries of freetype 2.1.2 for i386 fails after enabling the
bytecode interpreter.

Version-Release number of selected component (if applicable):
freetype 2.1.2-12

How reproducible:

Steps to Reproduce:
1. set '%define without_bytecode_interpreter    0'
2. rpmbuild -bb freetype.spec
Actual results:
install -m 755 ft2demos-2.1.2/bin/.libs/ftview
+ /usr/lib/rpm/redhat/find-lang.sh /var/tmp/freetype-2.1.2-root freetype
No translations found for freetype in /var/tmp/freetype-2.1.2-root
error: Bad exit status from /var/tmp/rpm-tmp.54166 (%install)

Expected results:
proper binary rpm

Additional info:
Comment 1 Owen Taylor 2002-12-27 17:05:59 EST
We'll be upgrading to 2.1.3 at some point, at which point I'll fix it
if it's currently broken in Rawhide. Not clear to me offhand what
the problem you are running into is; that part of the spec file looks

My best guess here would be that perhaps you have the LINGUAS environment
variable set or for some other reason translations are not getting

I generally wouldn't consider "does not rebuild" problems to be worth
filing, unless you debug them and there is something interesting going
on. We periodically run mass-rebuild tests to catch stuff that isn't

Note You need to log in before you can comment on or make changes to this bug.